no appropriate greeter plugin error

Problem
After upgrading to Mandriva 2009.1 Spring, that uses KDE 4, you can no longer lock the screen as you get the error:

Solution
There is a package missing from the upgrade so do: